Bug 1975017 - USB drives does not appear in the list of connected devices
Summary: USB drives does not appear in the list of connected devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-22 23:57 UTC by nucleo
Modified: 2021-10-29 22:50 UTC (History)
7 users (show)

Fixed In Version: plasma-workspace-5.22.5-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-22 16:29:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 438874 0 NOR CONFIRMED Disk & Devices applet doesn't show USB removable devices after connecting the device for 2nd time 2021-09-03 19:29:35 UTC

Description nucleo 2021-06-22 23:57:29 UTC
Description of problem:
After plasma update 5.22.1 USB drives does not appear in the list of connected devices

Version-Release number of selected component (if applicable):
https://bodhi.fedoraproject.org/updates/FEDORA-2021-dcc1ce9423

How reproducible:
Always after relogin

Steps to Reproduce:
1. Disable auto USB drive mounting
2. Insert and open USB drive
3. Disconnect USB drive
4. Connect USB drive again

Actual results:
Connected USB drive does not appear in the list of connected devices

Additional info:
Automounting USB drives was disabled before update but after update USB drives was always automounted after connection.
I enabled Automounting and disabled it. After that USB drive shown in connected devices only once after login. New connected USB drives never shown in connected devices but dmesg shows its connection.

Comment 1 nucleo 2021-06-24 19:09:13 UTC
The same with plasma 5.22.2.1.

Comment 2 nucleo 2021-06-28 17:19:53 UTC
What I did to test this:

1. I wrote KDE live image Fedora-KDE-Live-x86_64-Rawhide-20210628.n.0.iso from https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Spins/x86_64/iso/ to USB drive with ext4 filesystem (from vfat it didn't start).
2. When KDE started I connected and removed second USB drive from removable devices widget on panel.
3. Once again, I connected second USB drive, This time it was not shown in removable devices widget on panel but it was shown in removable devices list in Dolphin where it can be connected and disconnected.

So this is widget bug and can be reproduced from live image.

Comment 3 Rex Dieter 2021-06-29 13:43:02 UTC
Please report upstream if possible, thanks.

Comment 4 nucleo 2021-06-29 13:46:15 UTC
What component to use for upstream report?

Comment 5 Rex Dieter 2021-06-29 15:34:53 UTC
plasmashell/disks and devices

Comment 7 Fedora Update System 2021-09-13 15:01:12 UTC
FEDORA-2021-3ddd095bb0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3ddd095bb0

Comment 8 Fedora Update System 2021-09-13 15:02:13 UTC
FEDORA-2021-ee21db8aa2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ee21db8aa2

Comment 9 Fedora Update System 2021-09-13 16:15:47 UTC
FEDORA-2021-3ddd095bb0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3ddd095bb0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3ddd095bb0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-14 15:01:59 UTC
FEDORA-2021-ee21db8aa2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ee21db8aa2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ee21db8aa2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Geraldo Simião 2021-09-15 10:56:19 UTC
tested after the update: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ee21db8aa2
seems that its working fine now.

Comment 12 Fedora Update System 2021-09-22 16:29:46 UTC
FEDORA-2021-ee21db8aa2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-10-29 22:50:59 UTC
FEDORA-2021-3ddd095bb0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.